# Uses of Enum Class
org.sunflow.system.UI.PrintLevel

Packages that use UI.PrintLevel
Package
Description
org.sunflow
org.sunflow.system
org.sunflow.system.ui

## Uses of UI.PrintLevel in org.sunflow

Methods in org.sunflow with parameters of type UI.PrintLevel
Modifier and Type
Method
Description
`void`
Benchmark.`print(UI.Module m, UI.PrintLevel level, String s)`

## Uses of UI.PrintLevel in org.sunflow.system

Methods in org.sunflow.system that return UI.PrintLevel
Modifier and Type
Method
Description
`static UI.PrintLevel`
UI.PrintLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UI.PrintLevel[]`
UI.PrintLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.sunflow.system with parameters of type UI.PrintLevel
Modifier and Type
Method
Description
`static final String`
UI.`formatOutput(UI.Module m, UI.PrintLevel level, String s)`
`void`
UserInterface.`print(UI.Module m, UI.PrintLevel level, String s)`
Displays some information to the user from the specified module with the specified print level.

## Uses of UI.PrintLevel in org.sunflow.system.ui

Methods in org.sunflow.system.ui with parameters of type UI.PrintLevel
Modifier and Type
Method
Description
`void`
ConsoleInterface.`print(UI.Module m, UI.PrintLevel level, String s)`
`void`
SilentInterface.`print(UI.Module m, UI.PrintLevel level, String s)`